<h3 class="mb-4 pb-1">
    <i class="fa fa-filter color-purple" aria-hidden="true"></i>
    Filters
</h3>
<hr>
<form novalidate
      class="filter-box"
      [formGroup]="form">
    <div class="row">
        <div class="col-sm-12 form-groups">
            <label> <strong>Location:</strong>
                <select ngDefaultControl class="form-control form-control-lg mt-2" formControlName="location">
                    <option value=""> Location</option>
                    <option [ngValue]="city" *ngFor="let city of cities"> {{ city }} </option>
                </select>
            </label>
        </div>
        <div class="col-sm-12 form-groups">
            <label><strong> HDD Types:</strong>
                <select ngDefaultControl class="form-control form-control-lg mt-2" formControlName="type">
                    <option value=""> HDD Types</option>
                    <option [ngValue]="type" *ngFor="let type of hddTypes"> {{ type }} </option>
                </select>
            </label>
        </div>
        <div class="col-sm-12 form-groups">
            <strong>RAM:</strong> <br>
            <section class="mt-2">
                <label *ngFor="let ramConfig of ramConfigs">
                    &nbsp;&nbsp;<input type="checkbox"
                                       formArrayName="ram"
                                       [checked]="ramConfig.checked"
                                       [name]="ramConfig.value"
                                       [value]="ramConfig.value"
                                       (change)="checkBoxChanged($event)">
                    {{ ramConfig.display }}
                </label>
            </section>

        </div>
        <div class="col-sm-12 form-groups custom-slider">
            <strong>Storage:</strong> <br>
            <section class="mt-2">
                <ng5-slider [(value)]="minValue" [(highValue)]="maxValue" [options]="options"
                            (highValueChange)="highValueChanged($event)" (valueChange)="valueChanged($event)"
                >
                </ng5-slider>
            </section>
        </div>
        <div class="col-md-12 col-sm-12 mt-3 mb-5">
            <button class="btn btn-primary float-left"
                    (click)="search(form.value)">Search
            </button>
        </div>
    </div>
</form>
